package com.jay.monitor.data.server.process;

import com.alipay.remoting.BizContext;
import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.core.model.serializable.base.BaseDTO;

import java.util.ArrayList;
import java.util.List;

/**
 * 批量用户执行器
 *
 * @author ： liukx
 * @time ： 2020/8/27 - 10:40
 */
public class BatchUserProcess extends AbstractUserProcess<List<BaseDTO>> {

    @Override
    public Object handleRequest0(BizContext bizCtx, List<BaseDTO> request) throws Exception {
        request.forEach((dto) -> {
            MsgTypeEnums type = dto.getType();
            System.out.println("===>>>>>" + type);
        });
        return request;
    }

    @Override
    public List<String> multiInterest() {
        return getNamesList(ArrayList.class);
    }
}
